﻿/* ==============================================================================
 * 功能描述：HyperLinkExtensions  
 * 创 建 者：贤凯
 * 创建日期：3/7/2015 3:51:59 PM
 * ==============================================================================*/

using Windows.UI.Xaml;
using Windows.UI.Xaml.Documents;

namespace RichTextDemo
{
    public class HyperLinkExtensions
    {
        public static readonly DependencyProperty NavigateUrlProperty = DependencyProperty.Register(
            "NavigateUrl", typeof (string), typeof (HyperLinkExtensions), new PropertyMetadata(default(string)));

        public static string GetNavigateUrl(Hyperlink element)
        {
            return (string)element.GetValue(NavigateUrlProperty);
        }

        /// <summary>
        /// 为HyperLink附加NavigateUrl属性
        /// </summary>
        public static void SetNavigateUrl(Hyperlink element, string value)
        {
            element.SetValue(NavigateUrlProperty, value);
        }
    }
}
